deploy-testing:    
  stage: deploy
  script:
    - cat $configfiledev > ./config/config.js
    - npm install
    - "pm2 delete --silent account || :"
    - pm2 start ./app.js --name=account
    - pm2 save
  tags: 
    - testing
  only: 
    - testing

deploy-master:    
  stage: deploy
  script:
    - cat $configfileprod > ./config/config.js
    - npm install
    - "pm2 delete --silent account || :"
    - pm2 start ./app.js --name=account
    - pm2 save
  tags: 
    - production
  only: 
    - master